> ## Name

> cgGLSetParameterArray4f - set the values of an array parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetParameterArray4f( CGparameter param,
>                                   long offset,
>                                   long nelements,
>                                   const float * v );

> ## Parameters

> param
>   The array parameter that will be set.
> offset
>   An offset into the array parameter at which to start setting elements. A value of 0 will begin at the first element of the array.
> nelements
>   The number of elements to set. A value of 0 will default to the total number of elements in the array minus the value of offset.
> v
>   The array of values used to set the parameter. This must be a contiguous set of 4 * nelements values.

> ## Return Values

> None.

> ## Description

> cgGLSetParameterArray4f sets 4 values per element of a scalar or vector array parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLSetParameterArray4f was introduced in Cg 1.1.

> ## See Also

> cgGLSetParameter, cgGLGetParameterArray